##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

TARGET = $$qtLibraryTarget(metricidentify)

HEADERS += \
        $${GUI_SRC}/plugins/MetricIdentify/MetricIdentifyPlugin.h \
        $${GUI_SRC}/plugins/MetricIdentify/IdentificationRule.h \
        $${GUI_SRC}/plugins/MetricIdentify/ScorePIdentificationRule.h \
        $${GUI_SRC}/plugins/MetricIdentify/ScalascaIdentificationRule.h \
        $${GUI_SRC}/plugins/MetricIdentify/RemapperIdentificationRule.h  \
        $${GUI_SRC}/plugins/MetricIdentify/CountersIdentificationRule.h

SOURCES += \
        $${GUI_SRC}/plugins/MetricIdentify/MetricIdentifyPlugin.cpp
