##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

TARGET = $$qtLibraryTarget(barplot)
PROJECT_PATH = $${GUI_SRC}/plugins/Barplot

LIBS += -L$${GUI_LIBDIR}/cube-plugins -lplugin-graphwidgetcommon

INCLUDEPATH += $${GUI_SRC}/plugins/Graphwidget-common
DEPENDPATH  += $${GUI_SRC}/plugins/Graphwidget-common

HEADERS += \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractPlotArea.h  \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractPlotAreaController.h  \
        $${GUI_SRC}/plugins/Barplot/Barplot.h  \
        $${GUI_SRC}/plugins/Barplot/BarplotArea.h \
        $${GUI_SRC}/plugins/Barplot/BarplotController.h \
        $${GUI_SRC}/plugins/Barplot/PlotsListController.h \
        $${GUI_SRC}/plugins/Barplot/SettingsWidget.h

SOURCES += \
        $${GUI_SRC}/plugins/Barplot/Barplot.cpp \
        $${GUI_SRC}/plugins/Barplot/BarplotController.cpp \
        $${GUI_SRC}/plugins/Barplot/BarplotArea.cpp\
        $${GUI_SRC}/plugins/Barplot/PlotsListController.cpp\
        $${GUI_SRC}/plugins/Barplot/SettingsWidget.cpp
